%define name	jaxen
%define version	1.1
%define release	0.b2.1jpp_3rh
%define section	free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:        An XPath engine written in Java
License:        Open Source
Url:            http://jaxen.codehaus.org/
Group:          Development/Libraries/Java
#Vendor:         JPackage Project
#Distribution:	JPackage
Source0:        jaxen-1.1-beta-2-src.tar.gz
# cvs -d :pserver:anonymous@cvs.jaxen.codehaus.org:/home/projects/jaxen/scm login  
# cvs -z3 -d :pserver:anonymous@cvs.jaxen.codehaus.org:/home/projects/jaxen/scm export -r jaxen-1-1-beta-2 jaxen
Source1:        jaxen-1.1-beta-2-doc.tar.gz
# docs converted with "maven xdoc:transform"
Patch0:         jaxen-1.1-jdom-DocumentNavigator.patch
Provides:	jaxen-bootstrap
Requires:	dom4j >= 0:1.5
Requires:	jdom >= 0:1.0
Requires:	xalan-j2
Requires:	xerces-j2
BuildRequires:  ant >= 0:1.6, jpackage-utils >= 0:1.5, junit
BuildRequires:	dom4j >= 0:1.5
BuildRequires:	jdom >= 0:1.0
BuildRequires:	xalan-j2
BuildRequires:	xerces-j2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
Jaxen is an XPath engine written in Java to work against a variety of XML
based object models such as DOM, dom4j and JDOM together with Java
Beans.

%package manual
Summary:	Documents for %{name}
Group:		Development/Documentation

%description manual
%{summary}.

%package demo
Summary:	Samples for %{name}
Group:		Development/Documentation
Requires:	jaxen = 0:%{version}-%{release}

%description demo
%{summary}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
%{summary}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}-beta-2

find . -name "*.jar" -exec rm -f {} \;

mkdir -p src/conf
cat >> src/conf/MANIFEST.MF << EOF
Manifest-Version: 1.0
Created-By: Ant 1.6
EOF

%patch0 -b .sav

%build
export CLASSPATH=$(build-classpath \
jdom \
xalan-j2 \
xerces-j2 \
dom4j \
)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
ant -Dbuild.sysclasspath=only jar javadoc

gzip -dc %{SOURCE1} | tar -xf -

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 target/jaxen-1.1-beta-2-dev.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

# manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr target/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples
cp -pr src/java/samples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/samples

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -sf %{name}-%{version} %{_javadocdir}/%{name}
 
%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/*

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}

%changelog
* Wed Apr 27 2005 Fernando Nasser <fnasser@redhat.com> 0:1.1-0.b2.1jpp_3rh
- Rebuild with dom4j package

* Mon Jan 10 2005 Fernando Nasser <fnasser@redhat.com> 0:1.1-0.b2.1jpp_1rh
- First Red Hat build
- Use provided dom4j due to lack of a Red Hat dom4j package

* Thu Sep 09 2004 Ralph Apel <r.apel@r-apel.de> 0:1.1-0.b2.1jpp
- Upgrade to 1.1-beta-2
- Drop saxpath requirement as saxpath is now included in jaxen

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:1.0-4jpp
- Rebuild with ant-1.6.2
* Mon Jan 19 2004 Ralph Apel <r.apel@r-apel.de> 0:1.0-3jpp
- build against dom4j-1.4-1jpp
- introduce manual and demo subpackages
- patch org.jaxen.dom4j.DocumentNavigatorTest
- include LICENSE in main package
- run tests during build

* Thu Jan 15 2004 Ralph Apel <r.apel@r-apel.de> 0:1.0-2jpp
- activate support for dom4j by renaming lib/dom4j-core.jar to .zip

* Sun May 04 2003 David Walluck <david@anti-microsoft.org> 0:1.0-1jpp
- release
